DatabaseException (Oracle - Berkeley DB Java Edition API)
Date: 2014-12-16

com.sleepycat.je

## Class DatabaseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.sleepycat.je.DatabaseException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    OperationFailureException, RunRecoveryException

      public abstract class DatabaseException
      extends RuntimeException

  The root of all BDB JE-defined exceptions.

  Exceptions thrown by BDB JE fall into three categories.

  1. When a method is used incorrectly as the result of an application programming error, a standard Java runtime exception is thrown: `IllegalArgumentException`, `IllegalStateException` or `UnsupportedOperationException`. These exceptions have the standard meaning defined by their javadoc. Note that JE throws `IllegalArgumentException` rather than `NullPointerException` when a required parameter is null.
  2. When an operation failure occurs, `OperationFailureException` or one of its subclasses is thrown. See `OperationFailureException` for details.
  3. When an `Environment` failure occurs, `EnvironmentFailureException` or one of its subclasses is thrown. See `EnvironmentFailureException` for details.

  `OperationFailureException` and `EnvironmentFailureException` are the only two direct subclasses of `DatabaseException`.

  (Actually the above statement is not strictly correct. `EnvironmentFailureException` extends `RunRecoveryException` which extends `DatabaseException`. `RunRecoveryException` exists for backward compatibility and has been deprecated. `EnvironmentFailureException` should be used instead.)

  Note that in some cases, certain methods return status values without issuing an exception. This occurs in situations that are not normally considered an error, but when some informational status is returned. For example, `Database.get` returns `OperationStatus.NOTFOUND` when a requested key does not appear in the database.

  See Also:
    Serialized Form

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getMessage()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getMessage

          public String getMessage()

      Overrides:
        `getMessage` in class `Throwable`

Copyright (c) 2004, 2014 Oracle and/or its affiliates. All rights reserved.